<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010-2011 Ruben ARNAUD - rub@piwigo.org                 |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

defined('FACEBOOKPLUG_ROOT_PATH') or trigger_error('Hacking attempt!', E_USER_ERROR);

$view_version = (isset($_GET['v']) ? $_GET['v'] : FBP_VERSION);
$max_group_rows = (isset($_GET['mgr']) ? $_GET['mgr'] : 10);

$max_history_rows = (isset($_GET['mhr']) ? $_GET['mhr'] : 1000);
$history_filter = (isset($_GET['hf']) ? $_GET['hf'] : 'do_upload_photo');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <script type="text/javascript" src="http://code.jquery.com/jquery-1.4.4.min.js"></script>
</head>
<body>
  <h1>Stats</h1>
  <table>
    <tr>
      <th>Caption</th>
      <th>Count</th>
    </tr>
<?php

$queries =  array(
  "select 'Uploaded photos' Caption, count(*) C from FBP_HISTORY where VERSION = '".mysql_real_escape_string($view_version)."' and SCRIPT_NAME = 'do_upload_photo';",
  "select 'Upload photo requests' Caption, count(*) C from FBP_HISTORY where VERSION = '".mysql_real_escape_string($view_version)."' and SCRIPT_NAME = 'upload_photo';",
  "select concat('Uploaded photos ', date_format(TIMESTAMP, '%Y%m%d')) Caption, count(*) C from FBP_HISTORY where VERSION = '".mysql_real_escape_string($view_version)."' and SCRIPT_NAME = 'do_upload_photo' group by date_format(TIMESTAMP, '%Y%m%d') order by date_format(TIMESTAMP, '%Y%m%d') desc limit 0 , ".mysql_real_escape_string($max_group_rows).";",
  "select concat('Upload photo requests ', date_format(TIMESTAMP, '%Y%m%d')) Caption, count(*) C from FBP_HISTORY where VERSION = '".mysql_real_escape_string($view_version)."' and SCRIPT_NAME = 'upload_photo' group by date_format(TIMESTAMP, '%Y%m%d') desc limit 0 , ".mysql_real_escape_string($max_group_rows).";",
);

foreach ($queries as $query)
{
  $result = fbp_db_query($query);

  while ($row = mysql_fetch_assoc($result))
  {
    echo '
        <tr>
          <td>'.$row['Caption'].'</td>
          <td>'.$row['C'].'</td>
        </tr>
  ';
  }
}
?>
  </table>
  <h1>History</h1>
  <table>
    <tr>
      <th>ID</th>
      <th>Date/Time</th>
      <th>Image</th>
      <th>Gallery</th>
    </tr>
<?php
$result = fbp_db_query("select * from FBP_HISTORY where VERSION = '".mysql_real_escape_string($view_version)."' and SCRIPT_NAME = '".mysql_real_escape_string($history_filter)."' order by ID desc limit 0 , ".mysql_real_escape_string($max_history_rows).";");

// Mettre le count et le titre de l'image
//~ echo  mysql_num_rows($result).' uploaded photos';

while ($row = mysql_fetch_assoc($result))
{
  echo '
    <tr>
      <td>'.$row['ID'].'</td>
      <td>'.$row['TIMESTAMP'].'</td>
      <td><a href="'.$row['PICTURE_URL'].'" onclick="window.open(this.href); return false;"><img src="'.$row['IMAGE_URL'].'" title="'.$row['PICTURE_TITLE'].'" style="height:75px"></a></td>
      <td>'.$row['GALLERY_TITLE'].'</td>
    </tr>
';
}
?>
    </table>
  </center>
</body>
</html>